## Xalan-C++ API Documentation

### The Xalan C++ XSLT Processor Version 1.5

Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# select1st Struct Template Reference

Functor to retrieve the key of a key-value pair in a map, used in STL iteration algorithms. More...

`#include <STLHelper.hpp>`

Inheritance diagram for select1st:

[legend]
Collaboration diagram for select1st:

[legend]
List of all members.

## Public Types

- typedef std::unary_function<
  PairType, typename PairType::first_type> BaseClassType
- typedef BaseClassType::result_type result_type
- typedef BaseClassType::argument_type argument_type
- typedef PairType value_type

## Public Methods

- result_type operator() (const argument_type &thePair) const
    Retrieve the key of a key-value pair. More...

## Detailed Description

### template<class PairType> struct select1st

Functor to retrieve the key of a key-value pair in a map, used in STL iteration algorithms.

## Member Typedef Documentation

template<class PairType>
typedef std::unary_function< PairType, typename PairType::first_type > select1st<PairType>::BaseClassType<PairType, typename PairType::first_type>

template<class PairType>
typedef BaseClassType::argument_type select1st<PairType>::argument_type

template<class PairType>
typedef BaseClassType::result_type select1st<PairType>::result_type

template<class PairType>
typedef PairType select1st<PairType>::value_type

## Member Function Documentation

template<class PairType>
result_type select1st<PairType>::operator() ( | const argument_type & thePair ) const

  | Retrieve the key of a key-value pair. Parameters:
  thePair | key-value pair
Returns: key

The documentation for this struct was generated from the following file:

- STLHelper.hpp

Interpreting class diagrams

Doxygen and GraphViz are used to generate this API documentation from the Xalan-C header files.

Xalan-C++ XSLT Processor Version 1.5 Copyright © 2000, 2001, 2002, 2003 The Apache Software Foundation. All Rights Reserved.